id: 35
createUser: admin
createTime: 2025-05-06T04:38:39.300305173Z
name: jee-example-app custom rule_test-app-rerum112.11.windup
kind: analyzer
addon: analyzer
extensions:
    - java
state: Succeeded
priority: 10
data:
    mode:
        artifact: /binary/jee-example-app-1.0.0.ear
        binary: true
        withDeps: false
    rules:
        labels:
            excluded: []
            included:
                - konveyor.io/target=eap8
                - konveyor.io/target=eap7
        path: /rules
    scope:
        packages:
            excluded: []
            included: []
        withKnownLibs: false
    sources: []
    tagger:
        enabled: true
    targets: []
    verbosity: 0
application:
    id: 11
    name: jee-example-app custom rule_test-app-rerum112
bucket:
    id: 41
    name: ""
started: 2025-05-06T04:38:39.566454799Z
terminated: 2025-05-06T04:41:05.708806845Z
events:
    - kind: AddonSelected
      count: 1
      last: 2025-05-06T04:38:39.536981232Z
    - kind: ExtensionSelected
      count: 1
      reason: java
      last: 2025-05-06T04:38:39.553802793Z
    - kind: PodCreated
      count: 1
      reason: openshift-mta/task-35-mb79c
      last: 2025-05-06T04:38:39.643344693Z
    - kind: PodPending
      count: 8
      reason: ContainerCreating
      last: 2025-05-06T04:38:43.843244907Z
    - kind: PodRunning
      count: 71
      last: 2025-05-06T04:40:00.581427324Z
    - kind: PodSucceeded
      count: 1
      last: 2025-05-06T04:40:00.581428005Z
    - kind: ContainerKilled
      count: 1
      reason: 'container: ''java'' had not terminated.'
      last: 2025-05-06T04:40:00.671859857Z
    - kind: PodDeleted
      count: 1
      last: 2025-05-06T04:41:05.708768963Z
errors:
    - severity: Error
      description: '[Analyzer] eap6/java-ee/seam.environment-dependent-calls-04000: unable to ask for Konveyor rule entry'
    - severity: Error
      description: '[Analyzer] eap6/java-ee/seam.environment-dependent-calls-04001: unable to ask for Konveyor rule entry'
    - severity: Error
      description: '[Analyzer] eap7/weblogic/tests/data.hibernate4-00021: unable to ask for Konveyor rule entry'
activity:
    - 'OptDir:    /addon/opt'
    - 'SharedDir: /shared'
    - 'CacheDir:  /cache'
    - 'SourceDir: /shared/source'
    - 'RuleDir:   /addon/rules'
    - 'BinDir:    /shared/bin'
    - 'M2Dir:     /cache/m2'
    - Fetching application.
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '[CMD] /usr/bin/ssh-agent succeeded.'
    - '[SSH] Agent started.'
    - '[RULESET] fetching: /rules'
    - '[RULESET] fetching: id=6 (eap7/weblogic/tests/data)'
    - '[RULESET] fetching (dep): id=1 (.discovery)'
    - '[RULESET] fetching (dep): id=20 (.technology-usage)'
    - '[RULESET] fetching: id=7 (eap8/eap7)'
    - '[RULESET] fetching: id=5 (eap6/java-ee/seam)'
    - '[RULESET] fetching: id=12 (hibernate)'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/files /addon/rules/files'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/6/rules /addon/rules/rulesets/6/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/1/rules /addon/rules/rulesets/1/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/20/rules /addon/rules/rulesets/20/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/7/rules /addon/rules/rulesets/7/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/5/rules /addon/rules/rulesets/5/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/12/rules /addon/rules/rulesets/12/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[RULE] inject(konveyor.io/include=always): /addon/rules/files/ruleset.yaml.'
    - '[CMD] Running: /usr/local/bin/konveyor-analyzer --provider-settings /addon/opt/settings.yaml --output-file /addon/issues.yaml --dep-output-file /addon/deps.yaml --no-dependency-rules --rules /addon/rules/files --rules /addon/rules/rulesets/6/rules --rules /addon/rules/rulesets/1/rules --rules /addon/rules/rulesets/20/rules --rules /addon/rules/rulesets/7/rules --rules /addon/rules/rulesets/5/rules --rules /addon/rules/rulesets/12/rules --label-selector (konveyor.io/target=eap8||konveyor.io/target=eap7)'
    - '[CMD] /usr/local/bin/konveyor-analyzer succeeded.'
    - '[TAG] Tagging Application 11.'
    - 'Analysis 11 reported. duration: 93.883485ms'
    - Facts updated.
    - Done.
attached:
    - id: 638
      name: ssh-agent.output
      activity: 9
    - id: 641
      name: windup-shim.output
      activity: 19
    - id: 642
      name: windup-shim.output
      activity: 21
    - id: 643
      name: windup-shim.output
      activity: 23
    - id: 644
      name: windup-shim.output
      activity: 25
    - id: 645
      name: windup-shim.output
      activity: 27
    - id: 646
      name: windup-shim.output
      activity: 29
    - id: 647
      name: windup-shim.output
      activity: 31
    - id: 648
      name: settings.yaml
      activity: 33
    - id: 649
      name: konveyor-analyzer.output
      activity: 34
    - id: 639
      name: addon.log
    - id: 640
      name: java.log
    - id: 651
      name: pod.yaml
